Gtk::Object Class Reference

Gtk::Object is the base class for all widgets, and for a few non-widget objects such as Gtk::Adjustment. More...

Inheritance diagram for Gtk::Object:
[legend]

## Public Member Functions

virtual | ~Object ()
GObject* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GtkObject. More...

## Detailed Description

Gtk::Object is the base class for all widgets, and for a few non-widget objects such as Gtk::Adjustment.

Gtk::Object predates Glib::Object; non-widgets that derive from Gtk::Object rather than Glib::Object do so for backward compatibility reasons.

The most interesting difference between Gtk::Object and Glib::Object is the ability to use Gtk::manage() to delegate memory management to the container widget. Gtk::Objects can also be explicitly deleted at any time, instead of using only reference-counting, and container widgets can respond when their child objects are being deleted (for instance by removing the widget).

## Constructor & Destructor Documentation

virtual Gtk::Object::~Object | ( |  | ) |

virtual

## Member Function Documentation

GObject* Gtk::Object::gobj | ( |  | ) |

inline

Provides access to the underlying C GtkObject.

const GObject* Gtk::Object::gobj | ( |  | ) | const

inline

Provides access to the underlying C GtkObject.

The documentation for this class was generated from the following file:

- gtkmm/object.h